Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 9f51c2c49d3f518e89de3963f9add05a17bdce46)
@@ -634,28 +634,25 @@
             curr_symbol = 13
 
-        self.appD = appearanceDialog(self, 'Modify plot properties')
-        self.appD.setDefaults(float(curr_size),
-                              int(curr_color),
-                              str(appearanceDialog.find_key\
-                                      (self.get_symbol_label(),
-                                       int(curr_symbol))),curr_label)
-        if self.appD.ShowModal() == wx.ID_OK:
-            self.on_AppDialog_close()
-
-    def on_AppDialog_close(self):
-
-        info = self.appD.getCurrentValues() # returns (size,color,symbol,datalabel)
-        self.appearance_selected_plot.custom_color = self._color_labels[info[1].encode('ascii','ignore')]
-        
-        self.appearance_selected_plot.markersize = float(info[0])
-        self.appearance_selected_plot.symbol = self.get_symbol_label()[info[2]] # self._symbol_labels[info[2].encode('ascii','ignore')]
-        self.appearance_selected_plot.label = str(info[3])
-        
-        pos = self.parent._window_menu.FindItem(self.window_caption)
-        helpString = 'Show/Hide Graph: '
-        for plot in  self.plots.itervalues():
-            helpString += (' ' + str(plot.label) + ';')
-            self.parent._window_menu.SetHelpString(pos, helpString)
-            self._is_changed_legend_label = True
+        self.appD = appearanceDialog(self, 'Modify Plot Property')
+        icon = self.parent.GetIcon()
+        self.appD.SetIcon(icon)
+        self.appD.setDefaults(float(curr_size),int(curr_color),str(appearanceDialog.find_key(self.get_symbol_label(),int(curr_symbol))),curr_label)
+        self.appD.Bind(wx.EVT_CLOSE, self.on_AppDialog_close)    
+
+    def on_AppDialog_close(self,e):
+        if(self.appD.okay_clicked == True):
+            info = self.appD.getCurrentValues() # returns (size,color,symbol,datalabel)
+            self.appearance_selected_plot.custom_color = self._color_labels[info[1].encode('ascii','ignore')]
+
+            self.appearance_selected_plot.markersize = float(info[0])
+            self.appearance_selected_plot.symbol = self.get_symbol_label()[info[2]] # self._symbol_labels[info[2].encode('ascii','ignore')]
+            self.appearance_selected_plot.label = str(info[3])
+
+            pos = self.parent._window_menu.FindItem(self.window_caption)
+            helpString = 'Show/Hide Graph: '
+            for plot in  self.plots.itervalues():
+                helpString += (' ' + str(plot.label) +';')
+                self.parent._window_menu.SetHelpString(pos, helpString)
+                self._is_changed_legend_label = True
                 
         self.appD.Destroy()
@@ -664,6 +661,7 @@
 
     def modifyGraphAppearance(self,e):
-        self.graphApp = graphAppearance(self,'Modify graph appearance')
-
+        self.graphApp = graphAppearance(self,'Modify Graph Appearance')
+        icon = self.parent.GetIcon()
+        self.graphApp.SetIcon(icon)
         
 
@@ -674,9 +672,8 @@
                                   find_key(self.get_loc_label(),self.legendLoc),
                                   self.xcolor,self.ycolor)
-        if self.graphApp.ShowModal() == wx.ID_OK:
-            self.on_graphApp_close()
+        self.graphApp.Bind(wx.EVT_CLOSE, self.on_graphApp_close)
     
 
-    def on_graphApp_close(self):
+    def on_graphApp_close(self, event):
         """
         Gets values from graph appearance dialog and sends them off
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/appearanceDialog.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/appearanceDialog.py	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/appearanceDialog.py	(revision 9f51c2c49d3f518e89de3963f9add05a17bdce46)
@@ -7,8 +7,8 @@
 
 /**
-	This software was developed by Institut Laue-Langevin as part of
-	Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
-
-	Copyright 2012 Institut Laue-Langevin
+    This software was developed by Institut Laue-Langevin as part of
+    Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
+
+    Copyright 2012 Institut Laue-Langevin
 
 **/
@@ -24,12 +24,13 @@
 
 
-class appearanceDialog(wx.Dialog):
+class appearanceDialog(wx.Frame):
 
     def __init__(self,parent,title):
-        super(appearanceDialog,self).__init__(parent, title=title,
-                                              size=(570, 430))
-
-        self.symbolLabels = self.get_symbol_label()
-        self.colorLabels = self.get_color_label()
+        super(appearanceDialog,self).__init__(parent, title=title,size=(570,450), style=wx.DEFAULT_FRAME_STYLE|wx.FRAME_FLOAT_ON_PARENT)
+
+        self.okay_clicked = False
+        self.parent = parent
+        self.symbolLabels = self.parent.get_symbol_label()
+        self.colorLabels = self.parent.get_color_label()
 
 
@@ -64,5 +65,5 @@
         symbolText = wx.StaticText(panel, label='Shape')
         colorText = wx.StaticText(panel, label='Color')
-        sizeText = wx.StaticText(panel, label='Size')
+        sizeText = wx.StaticText(panel, label='Size ')
         labelText = wx.StaticText(panel, label='Legend label')
 
@@ -77,5 +78,6 @@
 
         # buttons
-        OkButton = wx.Button(panel, wx.ID_OK, label='OK')
+        OkButton = wx.Button(panel, label='OK')
+        OkButton.Bind(wx.EVT_BUTTON,self.onOK)
         cancelButton = wx.Button(panel, label='Cancel')
         cancelButton.Bind(wx.EVT_BUTTON, self.CloseDlg)
@@ -86,5 +88,5 @@
 
         ihbox1.Add(sizeText, flag = wx.ALL| wx.ALIGN_LEFT , border=10)
-        ihbox1.Add(self.sizeComboBox, flag =  wx.ALL | wx.ALIGN_LEFT , border=10)
+        ihbox1.Add(self.sizeComboBox, flag =  wx.ALL|wx.RIGHT | wx.ALIGN_LEFT , border=10)
         ihbox1.Add(self.sizeCustomButton, flag = wx.ALIGN_LEFT | wx.ALL, border=10)
 
@@ -94,10 +96,10 @@
 
 
-        ivbox2.Add(ihbox1, flag =  wx.ALL | wx.ALIGN_RIGHT,border=10)
-        ivbox2.Add(ihbox2, flag =  wx.ALL | wx.ALIGN_RIGHT,border=10)
+        ivbox2.Add(ihbox1, flag =wx.ALIGN_LEFT,border=10)
+        ivbox2.Add(ihbox2, flag =wx.ALIGN_LEFT,border=10)
 
         
-        hbox1.Add(ivbox1,flag =  wx.EXPAND | wx.ALIGN_LEFT ,border=10)
-        hbox1.Add(ivbox2,flag =  wx.EXPAND | wx.ALIGN_RIGHT ,border=10)
+        hbox1.Add(ivbox1,flag =wx.ALIGN_LEFT ,border=10)
+        hbox1.Add(ivbox2,flag =wx.ALIGN_LEFT ,border=10)
 
    
@@ -105,6 +107,6 @@
         hbox2.Add(cancelButton, flag = wx.ALL | wx.ALIGN_RIGHT, border=10)
 
-        hbox3.Add(labelText, flag= wx.EXPAND | wx.ALL |  wx.ALIGN_LEFT, border=10)
-        hbox3.Add(self.labelTextBox, wx.EXPAND | wx.ALL |wx.ALIGN_LEFT , border=10)
+        hbox3.Add(labelText, flag= wx.EXPAND | wx.RIGHT |  wx.ALIGN_LEFT, border=10)
+        hbox3.Add(self.labelTextBox, wx.EXPAND | wx.RIGHT |wx.ALIGN_LEFT , border=10)
   
         symbolStaticBoxSizer.Add(hbox1,flag = wx.ALL | wx.EXPAND,border=10)
@@ -154,5 +156,5 @@
             self.sizeComboBox.SetSelection(4)
         self.symbolListBox.SetSelection(self.sorted_sym_dic[symbol])
-        colorname = appearanceDialog.find_key(self.get_color_label(),color)
+        colorname = appearanceDialog.find_key(self.parent.get_color_label(),color)
         self.colorListBox.SetStringSelection(colorname)
 
@@ -170,5 +172,5 @@
         
         for color in sortedcolorLabels:
-            self.colorListBox.Append(str(color[0]))
+             self.colorListBox.Append(str(color[0]))
  
     def populateSize(self):
@@ -258,2 +260,6 @@
         return(size,color,symbol,name)
 
+    def onOK(self,e):
+        self.okay_clicked = True
+
+        self.Close()
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 9f51c2c49d3f518e89de3963f9add05a17bdce46)
@@ -7,8 +7,8 @@
 
 /**
-	This software was developed by Institut Laue-Langevin as part of
-	Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
-
-	Copyright 2012 Institut Laue-Langevin
+    This software was developed by Institut Laue-Langevin as part of
+    Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
+
+    Copyright 2012 Institut Laue-Langevin
 
 **/
@@ -23,5 +23,5 @@
 
 
-class graphAppearance(wx.Dialog):
+class graphAppearance(wx.Frame):
 
     def __init__(self, parent, title, legend=True):
@@ -105,7 +105,8 @@
 
         self.cancel_button = wx.Button(panel, label='Cancel')
-        self.ok_button = wx.Button(panel, wx.ID_OK, label='OK')
+        self.ok_button = wx.Button(panel, label='OK')
 
         self.cancel_button.Bind(wx.EVT_BUTTON, self.onCancel)
+        self.ok_button.Bind(wx.EVT_BUTTON, self.on_ok)
 
 
@@ -180,4 +181,7 @@
         if(fonty.ShowModal() == wx.ID_OK):
             self.yfont = fonty.get_font()
+
+    def on_ok(self, e):
+        self.Close()
 
     def onCancel(self, e):
